#ifndef KIOBROADCAST_H
#define KIOBROADCAST_H

#include "messageReceiver.h"

class KSircIOBroadcast : public KSircMessageReceiver
{
public:
  KSircIOBroadcast(KSircProcess *_proc) : KSircMessageReceiver(_proc)
    {
      proc = _proc;
      setBroadcast(false);
    }
  virtual ~KSircIOBroadcast();

  virtual void sirc_receive(TQCString str, bool broadcast);
  virtual void control_message(int, TQString);

  virtual filterRuleList *defaultRules();

private:
  KSircProcess *proc;
};

#endif
